## Ggit Main Ggit Main |

## Synopsis

    enum                GgitCapFlags;
    GgitCapFlags        ggit_get_capabilities               (void);
    void                ggit_init                           (void);

## Object Hierarchy

      GFlags
       +----GgitCapFlags

## Description

## Details

### enum GgitCapFlags

    typedef enum {
    	GGIT_CAP_THREADS = 1 << 0,
    	GGIT_CAP_HTTPS   = 1 << 1
    } GgitCapFlags;

`GGIT_CAP_THREADS` |
`GGIT_CAP_HTTPS` |

### ggit_get_capabilities ()

    GgitCapFlags        ggit_get_capabilities               (void);

Gets the capabilities of the library.

Returns : | a GgitCapFlags.

### ggit_init ()

    void                ggit_init                           (void);

Call this function before using any other libgit2-glib function.